Summary: Core X11 protocol client library
Name: libX11
Version: 1.8.9
Release: 1%{?dist}
License: MIT AND X11
URL: http://www.x.org
Source0: https://xorg.freedesktop.org/archive/individual/lib/libX11-%{version}.tar.xz
Patch3000: dont-forward-keycode-0.patch

BuildRequires: make
BuildRequires: xorg-x11-util-macros >= 1.11 xorg-x11-xtrans-devel >= 1.0.3-4
BuildRequires: pkgconfig(xau) pkgconfig(xdmcp) pkgconfig(xproto) >= 7.0.15
BuildRequires: libxcb-devel >= 1.2 libtool
BuildRequires: perl(Pod::Usage)
Requires: libX11-common >= %{version}-%{release}

%description
Core X11 protocol client library.

%package common
Summary: Common data for libX11
BuildArch: noarch

%description common
libX11 common data

%package devel
Summary: Development files for libX11
Requires: libX11 = %{version}-%{release}
Requires: libX11-xcb = %{version}-%{release}

%description devel
X.Org X11 libX11 development package

%package xcb
Summary: XCB interop for libX11
Conflicts: libX11 < %{version}-%{release}

%description xcb
libX11/libxcb interoperability library

%prep
%autosetup -p1

%build
autoreconf -fiv
%configure --disable-silent-rules --disable-static
%make_build

%install
%make_install
mkdir -p %{buildroot}/var/cache/libX11/compose
find %{buildroot} -type f -name '*.la' -delete
find %{buildroot} -name 'Xcms.txt' -delete
rm -rf %{buildroot}%{_docdir}

%check
make check

%files
%{_libdir}/libX11.so.6
%{_libdir}/libX11.so.6.4.0

%files xcb
%{_libdir}/libX11-xcb.so.1
%{_libdir}/libX11-xcb.so.1.0.0

%files common
%license COPYING
%doc AUTHORS README.md
%{_datadir}/X11/locale/
%{_datadir}/X11/XErrorDB
%dir /var/cache/libX11
%dir /var/cache/libX11/compose

%files devel
%{_includedir}/X11/*
%{_libdir}/libX11.so
%{_libdir}/libX11-xcb.so
%{_libdir}/pkgconfig/x11.pc
%{_libdir}/pkgconfig/x11-xcb.pc
%{_mandir}/man3/*.3*
%{_mandir}/man5/*.5*

%changelog
* Mon Jun 17 2024 Upgrade Robot <upbot@opencloudos.tech> - 1.8.9-1
- Upgrade to version 1.8.9

* Fri Oct 20 2023 Wang Guodong <gordonwwang@tencent.com> - 1.8.7-1
- Upgrade to 1.8.7
- fix CVEs: CVE-2023-43786, CVE-2023-43787

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.6-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Jul 28 2023 Wang Guodong <gordonwwang@tencent.com> - 1.8.6-1
- Upgrade to 1.8.6

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.1-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 29 2022 Wang Guodong <gordonwwang@tencent.com> - 1.8.1-1
- package init.
